org.eclipse.actf.model.dom.odf.util.accessibility

## Interface ScreenReaderSimulator

All Superinterfaces:
  TextExtractor

    public interface ScreenReaderSimulator
    extends TextExtractor

Screen reader simulator class should implement this interface

### Method Summary

Methods
`String` `getCurrentElementContent()`
`String` `getDocumentContent()`
`String` `getElementContent(ODFElement elem)`
`void` `setDocument(ODFDocument document)`
`void` `setElement(ODFElement element)`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.util.converter.TextExtractor

`extractContent`

### Method Detail

#### setDocument

    void setDocument(ODFDocument document)

#### setElement

    void setElement(ODFElement element)

#### getCurrentElementContent

    String getCurrentElementContent()

#### getElementContent

    String getElementContent(ODFElement elem)

#### getDocumentContent

    String getDocumentContent()